"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ixIxx = ixIxx;
exports.ixIxxStream = ixIxxStream;
const makeIxx_1 = require("./makeIxx");
const makeIx_1 = require("./makeIx");
// this file (index.ts) is a translation of ixIxx.c from ucscGenomeBrowser/kent
// the license of that file is reproduced below
/*
 * MIT License
 *
 * Copyright (C) 2001 UC Regents
 *
 * Permission is hereby granted, free of charge, to any person or non-commercial
 * entity obtaining a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including without
 * limitation the rights to use, copy, modify, merge, publish, distribute,
 * sublicense, and/or sell copies of the Software, and to permit persons to whom
 * the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
async function ixIxx(inText, outIx, outIxx, prefixSize) {
    await (0, makeIx_1.makeIx)(inText, outIx);
    await (0, makeIxx_1.makeIxx)(outIx, outIxx, prefixSize);
}
async function ixIxxStream(stream, outIx, outIxx, prefixSize) {
    await (0, makeIx_1.makeIxStream)(stream, outIx);
    await (0, makeIxx_1.makeIxx)(outIx, outIxx, prefixSize);
}
//# sourceMappingURL=index.js.map